>From 1e436c652e56570aa08e404c320731b79eb62955 Mon Sep 17 00:00:00 2001
From: Roumen Petrov <xmlsec@roumenpetrov.info>
Date: Sat, 7 Jun 2014 23:50:23 +0300
Subject: [PATCH 6/6] define PKCS12_NO_PERSIST_KEY for old mswin sdk

---
 src/mscrypto/app.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/mscrypto/app.c b/src/mscrypto/app.c
index a49acad..add7675 100644
--- a/src/mscrypto/app.c
+++ b/src/mscrypto/app.c
@@ -26,6 +26,10 @@
 #include <xmlsec/mscrypto/x509.h>
 #include "private.h"
 
+#ifndef PKCS12_NO_PERSIST_KEY
+/* Windows Server 2003 and Windows XP:  This value is not supported. */
+#  define PKCS12_NO_PERSIST_KEY	0x00008000
+#endif
 
 /* I don't see any other way then to use a global var to get the
  * config info to the mscrypto keysstore :(  WK
-- 
1.8.3.1

